package com.loan.system.service;

import com.loan.system.domain.dto.DisbursementDTO;
import com.loan.system.domain.entity.Disbursement;
import com.loan.system.domain.vo.DisbursementDetailVO;
import com.loan.system.domain.vo.DisbursementVO;

public interface DisbursementService {
    DisbursementVO addDisbursement(DisbursementDTO disbursementDTO);

    DisbursementVO findDisbursementDetailsById(Long caseId);

    DisbursementDetailVO getLoanCaseAndCustomerByCaseId(Long caseId);

    Disbursement getDisbursementByCaseId(Long caseId);

    void updateApprovalUserById(Long currentId, Long id);

    void updateOperationUserById(Long currentId, Long id);

    void updateCommentsById(String comments, Long id);
}
